#
# spec file for package rubygem-puppet_forge
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-puppet_forge
Version:        2.2.2
Release:        1.1
%define mod_name puppet_forge
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/puppetlabs/forge-ruby
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Access the Puppet Forge API from Ruby for resource information and
License:        Apache-2.0
Group:          Development/Languages/Ruby

%description
Tools that can be used to access Forge API information on Modules, Users, and
Releases. As well as download, unpack, and install Releases to a directory.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Sat Jul 30 2016 tampakrap@opensuse.org
- Version bump 2.2.2
  - v2.2.2 - 2016-07-06
  * Externalized all user facing strings with gettext to support future
    localization work.
  - v2.2.1 - 2016-05-24
  * Fixed an issue where certain types of connection failures raised a
    spurious "method missing" error instead of the underlying exception.
  * When setting PuppetForge::Connection.proxy, an empty string will now be
    treated as nil. If no proxy has yet been configured, setting to an empty
    string will have no effect. If a proxy has already been configured,
    setting to nil will unset the existing value.
  - v2.2.0 - 2016-05-10
  * puppet\_forge's optional dependency on Typhoeus now searches for a gem
    matching '~> 1.0.1' so it will pick up more recent versions. NOTE: This
    means if you have a version of Typhoeus installed that is less than
    1.0.1, puppet\_forge will no longer use the Typhoeus adapter and will
    fall back to Ruby's Net::HTTP library.
  - v2.1.5 - 2016-04-13
  * PuppetForge::Connection now has .proxy and .proxy= class methods
    providing a more reliable way of configuring an HTTP proxy.
  * Cached connection objects will now be automatically discarded when
    proxy or authorization config has changed.
  - v2.1.4 - 2016-04-01
  * Bug in usage of minitar filenames led to ignored tar files with tar file
    length of >100 chars.
  - v2.1.3 - 2016-01-25
  * PuppetForge::V3::Release.download will now use the "file\_uri" field of
    the Release API response to calculate the URI to download from. (Thanks
    to [ericparton](https://github.com/ericparton) for the contribution.)
  - v2.1.2 - 2015-12-16
  * Runtime dependency on "faraday\_middleware" gem updated to allow 0.10.x
    releases.
* Thu Nov 19 2015 tampakrap@opensuse.org
- Version bump 2.1.1
  * Bug in error message around missing release on forge caused inappropriate error.
  * PuppetForge::ReleaseForbidden added to acknowledge 403 status returned from
    release download request
  * PuppetForge::V3::Release can now verify the md5, unpack, and install a
    release tarball.
  * PuppetForge::Middleware::SymbolifyJson to change Faraday response hash keys
    into symbols.
  * PuppetForge::V3::Metadata to represent a release's metadata as an object.
  * PuppetForge::Connection to provide Faraday connections.
  * Failed API requests, such as those for a module that doesn't exist, throw a
    Faraday::ResourceNotFound error.
  * API requests are sent through Faraday directly rather than through Her.
  * PuppetForge::V3::Base#where and PuppetForge::V3::Base#all now send an API
    request immediately and return a paginated collection.
  * Removed depency on Her (also removes dependency on ActiveSupport).
* Sat Feb 14 2015 tampakrap@opensuse.org
- Initial commit
